lexus911
Automotive
- Jan 18, 2018
- 13
Hi all,
This code only select single curve ?
Could you help me to modify the code to select "connected curves or tangent curve " ?
Thank you very much
This code only select single curve ?
Code:
Function SelectCurves(ByRef prompt As String) As Curve() Dim selected() As TaggedObject = Nothing NXOpen.UI.GetUI.SelectionManager.SelectTaggedObjects("Select Curves", prompt, Selection.SelectionScope.WorkPart, False, New NXOpen.Selection.SelectionType() {Selection.SelectionType.Curves}, selected) Dim curveList As Collections.Generic.List(Of Curve) = New Collections.Generic.List(Of Curve) For Each aCurve As NXObject In selected curveList.Add(aCurve) Next Return curveList.ToArray() End Function]
Could you help me to modify the code to select "connected curves or tangent curve " ?
Thank you very much